import DEXQuote from "./DexQuote";
import DeflexRoute from "./DeflexRoute";
export default class DeflexQuote {
    quote: Number | null;
    fromASAID: Number;
    toASAID: Number;
    type: string;
    amountIn: Number;
    profitAmount: Number | null;
    profitASAID: Number | null;
    priceBaseline: Number | null;
    route: Array<DeflexRoute>;
    quotes: Array<DEXQuote>;
    requiredAppOptIns: Array<Number>;
    txnPayload: Object | null;
    protocolFees: {
        [key: string]: Number;
    };
    flattenedRoute: {
        [key: string]: Number;
    };
    constructor(quote: any, fromASAID: any, toASAID: any, type: any, amount: any, profitAmount: any, profitASAID: any, priceBaseline: any, route: any, quotes: any, requiredAppOptIns: any, txnPayload: any, protocolFees: any, flattenedRoute: any);
    static fromAPIResponse(type: string, fromASAID: Number, toASAID: Number, amount: Number, apiResponse: any): DeflexQuote;
}
