export default class LimitOrderParams {
    userAddress: string;
    beneficiaryAddress: string;
    limitOrderAppId: number;
    registryAppId: number;
    platformTreasuryAddress: string;
    assetInId: number;
    assetOutId: number;
    amountIn: number;
    amountOut: number;
    expirationDate: number;
    note: string;
    feeBps: number;
    backendAddress: string;
    escrowAddress: string;
    constructor(userAddress: string, beneficiaryAddress: string, limitOrderAppId: number, registryAppId: number, platformTreasuryAddress: string, assetInId: number, assetOutId: number, amountIn: number, amountOut: number, expirationDate?: number, note?: string, feeBps?: number, backendAddress?: string, escrowAddress?: string);
}
